<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.utils</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        Module&nbsp;utils
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.utils-module.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module utils</h1><span class="codelink"><a href="screenlets.utils-pysrc.html">source&nbsp;code</a></span><br /><br />
<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Classes</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Classes"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.utils.ScreenletInfo-class.html" class="summary-name">ScreenletInfo</a><br />
      A container with info about a screenlet.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.utils.FileMonitor-class.html" class="summary-name">FileMonitor</a><br />
      A simple wrapper around Gnome VFS file monitors.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.utils.IniReader-class.html" class="summary-name">IniReader</a><br />
      A simple config/ini-reader class.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.utils.Notifier-class.html" class="summary-name">Notifier</a><br />
      A simple and conveniet wrapper for the notification-service.
    </td>
  </tr>
</table>
<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Functions</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Functions"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_"></a><span class="summary-sig-name">_</span>(<span class="summary-sig-arg">s</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#_">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_autostart_dir"></a><span class="summary-sig-name">get_autostart_dir</span>()</span><br />
      Returns the system autostart directory</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#get_autostart_dir">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="is_manager_running_me"></a><span class="summary-sig-name">is_manager_running_me</span>()</span><br />
      checks if the one starting the screenlet is the screenlets 
      manager</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#is_manager_running_me">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="containsAll"></a><span class="summary-sig-name">containsAll</span>(<span class="summary-sig-arg">str</span>,
        <span class="summary-sig-arg">set</span>)</span><br />
      Check whether 'str' contains ALL of the chars in 'set'</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#containsAll">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="containsAny"></a><span class="summary-sig-name">containsAny</span>(<span class="summary-sig-arg">str</span>,
        <span class="summary-sig-arg">set</span>)</span><br />
      Check whether 'str' contains ANY of the chars in 'set'</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#containsAny">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="create_autostarter"></a><span class="summary-sig-name">create_autostarter</span>(<span class="summary-sig-arg">name</span>)</span><br />
      Create a .desktop-file for the screenlet with the given name in 
      $HOME/.config/autostart.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#create_autostarter">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="delete_autostarter"></a><span class="summary-sig-name">delete_autostarter</span>(<span class="summary-sig-arg">name</span>)</span><br />
      Delete the autostart for the given screenlet.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#delete_autostarter">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_contains_path"></a><span class="summary-sig-name">_contains_path</span>(<span class="summary-sig-arg">string</span>)</span><br />
      Internal function: Returns true if the given string contains one 
      of the SCREENLETS_PATH entries.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#_contains_path">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="create_user_dir"></a><span class="summary-sig-name">create_user_dir</span>()</span><br />
      Create the userdir for the screenlets.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#create_user_dir">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.utils-module.html#find_first_screenlet_path" class="summary-sig-name">find_first_screenlet_path</a>(<span class="summary-sig-arg">screenlet_name</span>)</span><br />
      Scan the SCREENLETS_PATH for the first occurence of screenlet 
      &quot;name&quot; and return the full path to it.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#find_first_screenlet_path">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_screenlet_icon"></a><span class="summary-sig-name">get_screenlet_icon</span>(<span class="summary-sig-arg">screenlet_name</span>,
        <span class="summary-sig-arg">width</span>,
        <span class="summary-sig-arg">height</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#get_screenlet_icon">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="getBetween"></a><span class="summary-sig-name">getBetween</span>(<span class="summary-sig-arg">data</span>,
        <span class="summary-sig-arg">first</span>,
        <span class="summary-sig-arg">last</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#getBetween">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.utils-module.html#get_screenlet_metadata" class="summary-sig-name">get_screenlet_metadata</a>(<span class="summary-sig-arg">screenlet_name</span>)</span><br />
      Returns a dict with name, info, author and version of the given 
      screenlet.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#get_screenlet_metadata">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="list_available_screenlets"></a><span class="summary-sig-name">list_available_screenlets</span>()</span><br />
      Scan the SCREENLETS_PATHs for all existing screenlets and return 
      their names (without trailing &quot;Screenlet&quot;) as a list of 
      strings.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#list_available_screenlets">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.utils-module.html#list_running_screenlets" class="summary-sig-name">list_running_screenlets</a>()</span><br />
      Returns a list with names of running screenlets or None if no 
      Screenlet is currently running.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#list_running_screenlets">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.utils-module.html#list_running_screenlets2" class="summary-sig-name">list_running_screenlets2</a>()</span><br />
      Returns a list with names of running screenlets.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#list_running_screenlets2">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_screenlet_process"></a><span class="summary-sig-name">get_screenlet_process</span>(<span class="summary-sig-arg">name</span>)</span><br />
      Returns the PID of the given screenlet (if running) or None.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#get_screenlet_process">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_user_dir"></a><span class="summary-sig-name">get_user_dir</span>(<span class="summary-sig-arg">key</span>,
        <span class="summary-sig-arg">default</span>)</span><br />
      http://www.freedesktop.org/wiki/Software/xdg-user-dirs</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#get_user_dir">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_daemon_iface"></a><span class="summary-sig-name">get_daemon_iface</span>()</span><br />
      Check if the daemon is already running and return its 
      interface.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#get_daemon_iface">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_desktop_dir"></a><span class="summary-sig-name">get_desktop_dir</span>()</span><br />
      Returns desktop dir</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#get_desktop_dir">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_filename_on_drop"></a><span class="summary-sig-name">get_filename_on_drop</span>(<span class="summary-sig-arg">sel_data</span>)</span><br />
      Returns filenames of window droped files</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#get_filename_on_drop">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="LoadPlaces"></a><span class="summary-sig-name">LoadPlaces</span>()</span><br />
      Returns mount points in media</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#LoadPlaces">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="LoadBookmarks"></a><span class="summary-sig-name">LoadBookmarks</span>()</span><br />
      Returns gtk bookmarks</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#LoadBookmarks">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="quit_screenlet_by_name"></a><span class="summary-sig-name">quit_screenlet_by_name</span>(<span class="summary-sig-arg">name</span>)</span><br />
      Quit all instances of the given screenlet type.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#quit_screenlet_by_name">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="quit_all_screenlets"></a><span class="summary-sig-name">quit_all_screenlets</span>()</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#quit_all_screenlets">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="restart_all_screenlets"></a><span class="summary-sig-name">restart_all_screenlets</span>()</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#restart_all_screenlets">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="readMountFile"></a><span class="summary-sig-name">readMountFile</span>(<span class="summary-sig-arg">filename</span>)</span><br />
      Reads fstab file</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#readMountFile">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="read_file"></a><span class="summary-sig-name">read_file</span>(<span class="summary-sig-arg">filename</span>)</span><br />
      Reads a file</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#read_file">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="strip_html"></a><span class="summary-sig-name">strip_html</span>(<span class="summary-sig-arg">string</span>)</span><br />
      Strips HTML tags of a string</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#strip_html">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="lookup_daemon_autostart"></a><span class="summary-sig-name">lookup_daemon_autostart</span>()</span><br />
      Adds Screenlets-daemon to autostart if not already</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#lookup_daemon_autostart">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="launch_screenlet"></a><span class="summary-sig-name">launch_screenlet</span>(<span class="summary-sig-arg">screenlet</span>)</span><br />
      Launches a screenlet</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#launch_screenlet">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="xdg_open"></a><span class="summary-sig-name">xdg_open</span>(<span class="summary-sig-arg">name</span>)</span><br />
      Opens anything</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.utils-pysrc.html#xdg_open">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="USER"></a><span class="summary-name">USER</span> = <code title="1">1</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DIR_USER"></a><span class="summary-name">DIR_USER</span> = <code title="'/home/helder/.screenlets'"><code class="variable-quote">'</code><code class="variable-string">/home/helder/.screenlets</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DIR_AUTOSTART"></a><span class="summary-name">DIR_AUTOSTART</span> = <code title="'/home/helder/.config/autostart/'"><code class="variable-quote">'</code><code class="variable-string">/home/helder/.config/autostart/</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Function Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-FunctionDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="find_first_screenlet_path"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">find_first_screenlet_path</span>(<span class="sig-arg">screenlet_name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.utils-pysrc.html#find_first_screenlet_path">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Scan the SCREENLETS_PATH for the first occurence of screenlet 
  &quot;name&quot; and return the full path to it. This function is used to
  get the theme/data directories for a Screenlet.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="get_screenlet_metadata"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_screenlet_metadata</span>(<span class="sig-arg">screenlet_name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.utils-pysrc.html#get_screenlet_metadata">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Returns a dict with name, info, author and version of the given 
  screenlet. Use with care because it always imports the screenlet module 
  and shouldn't be used too often due to performance issues.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="list_running_screenlets"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">list_running_screenlets</span>()</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.utils-pysrc.html#list_running_screenlets">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Returns a list with names of running screenlets or None if no 
  Screenlet is currently running. Function returns False if an error 
  happened!
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="list_running_screenlets2"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">list_running_screenlets2</span>()</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.utils-pysrc.html#list_running_screenlets2">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Returns a list with names of running screenlets. The list can be empty
  if no Screenlet is currently running.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:57 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
